<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>DefaultExpressionEngineSymbols.Builder (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DefaultExpressionEngineSymbols.Builder (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultExpressionEngineSymbols.Builder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" target="_top">Frames</a></li>
<li><a href="DefaultExpressionEngineSymbols.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Class DefaultExpressionEngineSymbols.Builder" class="title">Class DefaultExpressionEngineSymbols.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.tree.DefaultExpressionEngineSymbols.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">DefaultExpressionEngineSymbols.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">A builder class for creating instances of
 <code>DefaultExpressionEngineSymbols</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#Builder--">Builder</a></span>()</code>
<div class="block">Creates a new, uninitialized instance of <code>Builder</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#Builder-org.apache.commons.configuration2.tree.DefaultExpressionEngineSymbols-">Builder</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a>&nbsp;c)</code>
<div class="block">Creates a new instance of <code>Builder</code> whose properties are
 initialized from the passed in <code>DefaultExpressionEngineSymbols</code>
 object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#create--">create</a></span>()</code>
<div class="block">Creates the <code>DefaultExpressionEngineSymbols</code> instance based on
 the properties set for this builder object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setAttributeEnd-java.lang.String-">setAttributeEnd</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ae)</code>
<div class="block">Sets the string representing the end marker of an attribute in a
 property key.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setAttributeStart-java.lang.String-">setAttributeStart</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;as)</code>
<div class="block">Sets the string representing the start marker of an attribute in a
 property key.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setEscapedDelimiter-java.lang.String-">setEscapedDelimiter</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ed)</code>
<div class="block">Sets the string representing an escaped property delimiter.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setIndexEnd-java.lang.String-">setIndexEnd</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ie)</code>
<div class="block">Sets the string representing the end of an index in a property key.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setIndexStart-java.lang.String-">setIndexStart</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;is)</code>
<div class="block">Sets the string representing the start of an index in a property key.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html#setPropertyDelimiter-java.lang.String-">setPropertyDelimiter</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;d)</code>
<div class="block">Sets the string representing a delimiter for properties.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
<div class="block">Creates a new, uninitialized instance of <code>Builder</code>. All symbols
 are undefined.</div>
</li>
</ul>
<a name="Builder-org.apache.commons.configuration2.tree.DefaultExpressionEngineSymbols-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder(<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a>&nbsp;c)</pre>
<div class="block">Creates a new instance of <code>Builder</code> whose properties are
 initialized from the passed in <code>DefaultExpressionEngineSymbols</code>
 object. This is useful if symbols are to be created which are similar
 to the passed in instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - the <code>DefaultExpressionEngineSymbols</code> object serving as
        starting point for this builder</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setPropertyDelimiter-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPropertyDelimiter</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setPropertyDelimiter(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;d)</pre>
<div class="block">Sets the string representing a delimiter for properties.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - the property delimiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setEscapedDelimiter-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEscapedDelimiter</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setEscapedDelimiter(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ed)</pre>
<div class="block">Sets the string representing an escaped property delimiter. With this
 string a delimiter that belongs to the key of a property can be
 escaped. If for instance &quot;.&quot; is used as property delimiter,
 you can set the escaped delimiter to &quot;\.&quot; and can then
 escape the delimiter with a back slash.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ed</code> - the escaped property delimiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setIndexStart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndexStart</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setIndexStart(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;is)</pre>
<div class="block">Sets the string representing the start of an index in a property key.
 Index start and end marker are used together to detect indices in a
 property key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - the index start</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setIndexEnd-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndexEnd</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setIndexEnd(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ie)</pre>
<div class="block">Sets the string representing the end of an index in a property key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ie</code> - the index end</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setAttributeStart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttributeStart</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setAttributeStart(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;as)</pre>
<div class="block">Sets the string representing the start marker of an attribute in a
 property key. Attribute start and end marker are used together to
 detect attributes in a property key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>as</code> - the attribute start marker</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setAttributeEnd-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttributeEnd</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a>&nbsp;setAttributeEnd(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ae)</pre>
<div class="block">Sets the string representing the end marker of an attribute in a
 property key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ae</code> - the attribute end marker</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="create--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>create</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a>&nbsp;create()</pre>
<div class="block">Creates the <code>DefaultExpressionEngineSymbols</code> instance based on
 the properties set for this builder object. This method does not
 change the state of this builder. So it is possible to change
 properties and create another <code>DefaultExpressionEngineSymbols</code>
 instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created <code>DefaultExpressionEngineSymbols</code>
         instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultExpressionEngineSymbols.Builder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" target="_top">Frames</a></li>
<li><a href="DefaultExpressionEngineSymbols.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
